/*
 * Licensed Materials - Property of IBM
 *
 * com.ibm.etools.c
 *
 *  Copyright IBM Corporation 2004. All Rights Reserved. 
 *
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.etools.c;

import com.ibm.etools.tdlang.TDLangElement;

/**
 * <!-- begin-user-doc --> A representation of the model object '
 * <em><b>Typed Element</b></em>'. <!-- end-user-doc -->
 * 
 * <p>
 * The following features are supported:
 * <ul>
 * <li>{@link com.ibm.etools.c.CTypedElement#getType <em>Type</em>}</li>
 * <li>{@link com.ibm.etools.c.CTypedElement#getContains <em>Contains</em>}
 * </li>
 * <li>{@link com.ibm.etools.c.CTypedElement#getSource <em>Source</em>}</li>
 * </ul>
 * </p>
 * 
 * @see com.ibm.etools.c.CPackage#getCTypedElement()
 * @model abstract="true"
 * @generated
 */
public interface CTypedElement extends TDLangElement {
    /**
     * Returns the value of the '<em><b>Type</b></em>' reference. <!--
     * begin-user-doc -->
     * <p>
     * If the meaning of the '<em>Type</em>' reference isn't clear, there
     * really should be more of a description here...
     * </p>
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Type</em>' reference.
     * @see #setType(CClassifier)
     * @see com.ibm.etools.c.CPackage#getCTypedElement_Type()
     * @model required="true"
     * @generated
     */
    CClassifier getType();

    /**
     * Sets the value of the '
     * {@link com.ibm.etools.c.CTypedElement#getType <em>Type</em>}' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Type</em>' reference.
     * @see #getType()
     * @generated
     */
    void setType(CClassifier value);

    /**
     * Returns the value of the '<em><b>Contains</b></em>' containment
     * reference. It is bidirectional and its opposite is '
     * {@link com.ibm.etools.c.CDerived#getContainer <em>Container</em>}'. <!--
     * begin-user-doc -->
     * <p>
     * If the meaning of the '<em>Contains</em>' containment reference isn't
     * clear, there really should be more of a description here...
     * </p>
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Contains</em>' containment reference.
     * @see #setContains(CDerived)
     * @see com.ibm.etools.c.CPackage#getCTypedElement_Contains()
     * @see com.ibm.etools.c.CDerived#getContainer
     * @model opposite="container" containment="true"
     * @generated
     */
    CDerived getContains();

    /**
     * Sets the value of the '
     * {@link com.ibm.etools.c.CTypedElement#getContains <em>Contains</em>}'
     * containment reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Contains</em>' containment
     *            reference.
     * @see #getContains()
     * @generated
     */
    void setContains(CDerived value);

    /**
     * Returns the value of the '<em><b>Source</b></em>' reference. <!--
     * begin-user-doc -->
     * <p>
     * If the meaning of the '<em>Source</em>' reference isn't clear, there
     * really should be more of a description here...
     * </p>
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Source</em>' reference.
     * @see #setSource(CSourceText)
     * @see com.ibm.etools.c.CPackage#getCTypedElement_Source()
     * @model required="true"
     * @generated
     */
    CSourceText getSource();

    /**
     * Sets the value of the '
     * {@link com.ibm.etools.c.CTypedElement#getSource <em>Source</em>}'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Source</em>' reference.
     * @see #getSource()
     * @generated
     */
    void setSource(CSourceText value);

} // CTypedElement
