/**
 * <copyright>
 * </copyright>
 *
 * $Id: COBOLPackage.java,v 1.2.4.1 2005/10/28 04:37:27 akkina Exp $
 */
package com.ibm.etools.cobol;

import com.ibm.etools.tdlang.TDLangPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * The COBOL metamodel is used by enterprise application programs to define data structures (semantics) which represent connector interfaces.
 * 
 * The goal of this COBOL model is to capture the information that would be found in the Data Division.  This model is intended to be used only as read-only to convert COBOL data division into it's XML equivalent.  This model is not intended to be used as a converter from XML code into a COBOL data division equivalent.  As a result, initialValues of elements are not captured in the model.
 * <!-- end-model-doc -->
 * @see com.ibm.etools.cobol.COBOLFactory
 * @generated
 */
public interface COBOLPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "cobol";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http:///cobol.ecore";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "cobol";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	COBOLPackage eINSTANCE = com.ibm.etools.cobol.impl.COBOLPackageImpl.init();

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLClassifierImpl <em>Classifier</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLClassifierImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLClassifier()
	 * @generated
	 */
	int COBOL_CLASSIFIER = 14;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_CLASSIFIER__NAME = TDLangPackage.TD_LANG_CLASSIFIER__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_CLASSIFIER__TD_LANG_TYPED_ELEMENT = TDLangPackage.TD_LANG_CLASSIFIER__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_CLASSIFIER__TYPEDEF = TDLangPackage.TD_LANG_CLASSIFIER_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_CLASSIFIER__TYPED_ELEMENT = TDLangPackage.TD_LANG_CLASSIFIER_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the the '<em>Classifier</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_CLASSIFIER_FEATURE_COUNT = TDLangPackage.TD_LANG_CLASSIFIER_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLSimpleTypeImpl <em>Simple Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLSimpleTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLSimpleType()
	 * @generated
	 */
	int COBOL_SIMPLE_TYPE = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SIMPLE_TYPE__NAME = COBOL_CLASSIFIER__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_CLASSIFIER__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SIMPLE_TYPE__TYPEDEF = COBOL_CLASSIFIER__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SIMPLE_TYPE__TYPED_ELEMENT = COBOL_CLASSIFIER__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SIMPLE_TYPE__USAGE = COBOL_CLASSIFIER_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SIMPLE_TYPE__PICTURE_STRING = COBOL_CLASSIFIER_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SIMPLE_TYPE__SYNCHRONIZED = COBOL_CLASSIFIER_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the the '<em>Simple Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SIMPLE_TYPE_FEATURE_COUNT = COBOL_CLASSIFIER_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLElementImpl <em>Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLElementImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLElement()
	 * @generated
	 */
	int COBOL_ELEMENT = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__NAME = TDLangPackage.TD_LANG_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Shared Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__TD_LANG_SHARED_TYPE = TDLangPackage.TD_LANG_ELEMENT__TD_LANG_SHARED_TYPE;

	/**
	 * The feature id for the '<em><b>Instance TD Base</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__INSTANCE_TD_BASE = TDLangPackage.TD_LANG_ELEMENT__INSTANCE_TD_BASE;

	/**
	 * The feature id for the '<em><b>Level</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__LEVEL = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Redefined</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__REDEFINED = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Is Filler</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__IS_FILLER = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Is External</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__IS_EXTERNAL = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Is Global</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__IS_GLOBAL = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Contains</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__CONTAINS = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Shared Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__SHARED_TYPE = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Array</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__ARRAY = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Group</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__GROUP = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__SOURCE = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Initial</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT__INITIAL = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The number of structural features of the the '<em>Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT_FEATURE_COUNT = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLFixedLengthArrayImpl <em>Fixed Length Array</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLFixedLengthArrayImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLFixedLengthArray()
	 * @generated
	 */
	int COBOL_FIXED_LENGTH_ARRAY = 11;

	/**
	 * The feature id for the '<em><b>Max Upper</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_FIXED_LENGTH_ARRAY__MAX_UPPER = 0;

	/**
	 * The number of structural features of the the '<em>Fixed Length Array</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_FIXED_LENGTH_ARRAY_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLVariableLengthArrayImpl <em>Variable Length Array</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLVariableLengthArrayImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLVariableLengthArray()
	 * @generated
	 */
	int COBOL_VARIABLE_LENGTH_ARRAY = 2;

	/**
	 * The feature id for the '<em><b>Max Upper</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_VARIABLE_LENGTH_ARRAY__MAX_UPPER = COBOL_FIXED_LENGTH_ARRAY__MAX_UPPER;

	/**
	 * The feature id for the '<em><b>Min Upper</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_VARIABLE_LENGTH_ARRAY__MIN_UPPER = COBOL_FIXED_LENGTH_ARRAY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Depending On</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_VARIABLE_LENGTH_ARRAY__DEPENDING_ON = COBOL_FIXED_LENGTH_ARRAY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the the '<em>Variable Length Array</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_VARIABLE_LENGTH_ARRAY_FEATURE_COUNT = COBOL_FIXED_LENGTH_ARRAY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLRedefiningElementImpl <em>Redefining Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLRedefiningElementImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLRedefiningElement()
	 * @generated
	 */
	int COBOL_REDEFINING_ELEMENT = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__NAME = COBOL_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Shared Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__TD_LANG_SHARED_TYPE = COBOL_ELEMENT__TD_LANG_SHARED_TYPE;

	/**
	 * The feature id for the '<em><b>Instance TD Base</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__INSTANCE_TD_BASE = COBOL_ELEMENT__INSTANCE_TD_BASE;

	/**
	 * The feature id for the '<em><b>Level</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__LEVEL = COBOL_ELEMENT__LEVEL;

	/**
	 * The feature id for the '<em><b>Redefined</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__REDEFINED = COBOL_ELEMENT__REDEFINED;

	/**
	 * The feature id for the '<em><b>Is Filler</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__IS_FILLER = COBOL_ELEMENT__IS_FILLER;

	/**
	 * The feature id for the '<em><b>Is External</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__IS_EXTERNAL = COBOL_ELEMENT__IS_EXTERNAL;

	/**
	 * The feature id for the '<em><b>Is Global</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__IS_GLOBAL = COBOL_ELEMENT__IS_GLOBAL;

	/**
	 * The feature id for the '<em><b>Contains</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__CONTAINS = COBOL_ELEMENT__CONTAINS;

	/**
	 * The feature id for the '<em><b>Shared Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__SHARED_TYPE = COBOL_ELEMENT__SHARED_TYPE;

	/**
	 * The feature id for the '<em><b>Array</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__ARRAY = COBOL_ELEMENT__ARRAY;

	/**
	 * The feature id for the '<em><b>Group</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__GROUP = COBOL_ELEMENT__GROUP;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__SOURCE = COBOL_ELEMENT__SOURCE;

	/**
	 * The feature id for the '<em><b>Initial</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__INITIAL = COBOL_ELEMENT__INITIAL;

	/**
	 * The feature id for the '<em><b>Redefines</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT__REDEFINES = COBOL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the the '<em>Redefining Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_REDEFINING_ELEMENT_FEATURE_COUNT = COBOL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLComposedTypeImpl <em>Composed Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLComposedTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLComposedType()
	 * @generated
	 */
	int COBOL_COMPOSED_TYPE = 4;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_COMPOSED_TYPE__NAME = COBOL_CLASSIFIER__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_COMPOSED_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_CLASSIFIER__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_COMPOSED_TYPE__TYPEDEF = COBOL_CLASSIFIER__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_COMPOSED_TYPE__TYPED_ELEMENT = COBOL_CLASSIFIER__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Td Lang Element</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_COMPOSED_TYPE__TD_LANG_ELEMENT = COBOL_CLASSIFIER_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Element</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_COMPOSED_TYPE__ELEMENT = COBOL_CLASSIFIER_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the the '<em>Composed Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_COMPOSED_TYPE_FEATURE_COUNT = COBOL_CLASSIFIER_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOL88ElementImpl <em>88 Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOL88ElementImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOL88Element()
	 * @generated
	 */
	int COBOL_88_ELEMENT = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_88_ELEMENT__NAME = 0;

	/**
	 * The feature id for the '<em><b>Has</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_88_ELEMENT__HAS = 1;

	/**
	 * The number of structural features of the the '<em>88 Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_88_ELEMENT_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOL88ElementValueImpl <em>88 Element Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOL88ElementValueImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOL88ElementValue()
	 * @generated
	 */
	int COBOL_88_ELEMENT_VALUE = 6;

	/**
	 * The feature id for the '<em><b>Lower Limit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_88_ELEMENT_VALUE__LOWER_LIMIT = 0;

	/**
	 * The feature id for the '<em><b>Upper Limit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_88_ELEMENT_VALUE__UPPER_LIMIT = 1;

	/**
	 * The feature id for the '<em><b>Range</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_88_ELEMENT_VALUE__RANGE = 2;

	/**
	 * The feature id for the '<em><b>Lower Value Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_88_ELEMENT_VALUE__LOWER_VALUE_KIND = 3;

	/**
	 * The feature id for the '<em><b>Upper Value Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_88_ELEMENT_VALUE__UPPER_VALUE_KIND = 4;

	/**
	 * The number of structural features of the the '<em>88 Element Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_88_ELEMENT_VALUE_FEATURE_COUNT = 5;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLAlphaNumericTypeImpl <em>Alpha Numeric Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLAlphaNumericTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLAlphaNumericType()
	 * @generated
	 */
	int COBOL_ALPHA_NUMERIC_TYPE = 7;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The feature id for the '<em><b>Justify Right</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_TYPE__JUSTIFY_RIGHT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the the '<em>Alpha Numeric Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLNumericEditedTypeImpl <em>Numeric Edited Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLNumericEditedTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLNumericEditedType()
	 * @generated
	 */
	int COBOL_NUMERIC_EDITED_TYPE = 8;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The feature id for the '<em><b>Blank When Zero</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__BLANK_WHEN_ZERO = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Currency Symbol</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__CURRENCY_SYMBOL = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Currency Sign</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__CURRENCY_SIGN = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Decimal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE__DECIMAL = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the the '<em>Numeric Edited Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_EDITED_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLNumericTypeImpl <em>Numeric Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLNumericTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLNumericType()
	 * @generated
	 */
	int COBOL_NUMERIC_TYPE = 9;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The feature id for the '<em><b>Signed</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__SIGNED = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Sign Leading</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__SIGN_LEADING = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Sign Separate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__SIGN_SEPARATE = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Trunc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__TRUNC = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Numproc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__NUMPROC = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Precision</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__PRECISION = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Scale</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE__SCALE = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the the '<em>Numeric Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_NUMERIC_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOL66ElementImpl <em>66 Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOL66ElementImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOL66Element()
	 * @generated
	 */
	int COBOL_66_ELEMENT = 10;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_66_ELEMENT__NAME = 0;

	/**
	 * The feature id for the '<em><b>Start</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_66_ELEMENT__START = 1;

	/**
	 * The feature id for the '<em><b>End Of</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_66_ELEMENT__END_OF = 2;

	/**
	 * The number of structural features of the the '<em>66 Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_66_ELEMENT_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLDBCSTypeImpl <em>DBCS Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLDBCSTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLDBCSType()
	 * @generated
	 */
	int COBOL_DBCS_TYPE = 12;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_DBCS_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_DBCS_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_DBCS_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_DBCS_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_DBCS_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_DBCS_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_DBCS_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The feature id for the '<em><b>Justify Right</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_DBCS_TYPE__JUSTIFY_RIGHT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the the '<em>DBCS Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_DBCS_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLAlphaNumericEditedTypeImpl <em>Alpha Numeric Edited Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLAlphaNumericEditedTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLAlphaNumericEditedType()
	 * @generated
	 */
	int COBOL_ALPHA_NUMERIC_EDITED_TYPE = 13;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_EDITED_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_EDITED_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_EDITED_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_EDITED_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_EDITED_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_EDITED_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_EDITED_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The number of structural features of the the '<em>Alpha Numeric Edited Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHA_NUMERIC_EDITED_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLAlphabeticTypeImpl <em>Alphabetic Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLAlphabeticTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLAlphabeticType()
	 * @generated
	 */
	int COBOL_ALPHABETIC_TYPE = 15;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHABETIC_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHABETIC_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHABETIC_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHABETIC_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHABETIC_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHABETIC_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHABETIC_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The feature id for the '<em><b>Justify Right</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHABETIC_TYPE__JUSTIFY_RIGHT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the the '<em>Alphabetic Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ALPHABETIC_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLObjectReferenceTypeImpl <em>Object Reference Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLObjectReferenceTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLObjectReferenceType()
	 * @generated
	 */
	int COBOL_OBJECT_REFERENCE_TYPE = 16;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_OBJECT_REFERENCE_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_OBJECT_REFERENCE_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_OBJECT_REFERENCE_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_OBJECT_REFERENCE_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_OBJECT_REFERENCE_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_OBJECT_REFERENCE_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_OBJECT_REFERENCE_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The feature id for the '<em><b>Class Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_OBJECT_REFERENCE_TYPE__CLASS_NAME = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the the '<em>Object Reference Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_OBJECT_REFERENCE_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLSourceTextImpl <em>Source Text</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLSourceTextImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLSourceText()
	 * @generated
	 */
	int COBOL_SOURCE_TEXT = 17;

	/**
	 * The feature id for the '<em><b>Source</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SOURCE_TEXT__SOURCE = 0;

	/**
	 * The feature id for the '<em><b>File Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SOURCE_TEXT__FILE_NAME = 1;

	/**
	 * The number of structural features of the the '<em>Source Text</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_SOURCE_TEXT_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLUnicodeTypeImpl <em>Unicode Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLUnicodeTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLUnicodeType()
	 * @generated
	 */
	int COBOL_UNICODE_TYPE = 18;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_UNICODE_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_UNICODE_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_UNICODE_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_UNICODE_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_UNICODE_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_UNICODE_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_UNICODE_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The number of structural features of the the '<em>Unicode Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_UNICODE_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLInternalFloatTypeImpl <em>Internal Float Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLInternalFloatTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLInternalFloatType()
	 * @generated
	 */
	int COBOL_INTERNAL_FLOAT_TYPE = 19;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_INTERNAL_FLOAT_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_INTERNAL_FLOAT_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_INTERNAL_FLOAT_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_INTERNAL_FLOAT_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_INTERNAL_FLOAT_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_INTERNAL_FLOAT_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_INTERNAL_FLOAT_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The number of structural features of the the '<em>Internal Float Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_INTERNAL_FLOAT_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLExternalFloatTypeImpl <em>External Float Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLExternalFloatTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLExternalFloatType()
	 * @generated
	 */
	int COBOL_EXTERNAL_FLOAT_TYPE = 20;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_EXTERNAL_FLOAT_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_EXTERNAL_FLOAT_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_EXTERNAL_FLOAT_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_EXTERNAL_FLOAT_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_EXTERNAL_FLOAT_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_EXTERNAL_FLOAT_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_EXTERNAL_FLOAT_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The number of structural features of the the '<em>External Float Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_EXTERNAL_FLOAT_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLAddressingTypeImpl <em>Addressing Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLAddressingTypeImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLAddressingType()
	 * @generated
	 */
	int COBOL_ADDRESSING_TYPE = 21;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ADDRESSING_TYPE__NAME = COBOL_SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ADDRESSING_TYPE__TD_LANG_TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TD_LANG_TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Typedef</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ADDRESSING_TYPE__TYPEDEF = COBOL_SIMPLE_TYPE__TYPEDEF;

	/**
	 * The feature id for the '<em><b>Typed Element</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ADDRESSING_TYPE__TYPED_ELEMENT = COBOL_SIMPLE_TYPE__TYPED_ELEMENT;

	/**
	 * The feature id for the '<em><b>Usage</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ADDRESSING_TYPE__USAGE = COBOL_SIMPLE_TYPE__USAGE;

	/**
	 * The feature id for the '<em><b>Picture String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ADDRESSING_TYPE__PICTURE_STRING = COBOL_SIMPLE_TYPE__PICTURE_STRING;

	/**
	 * The feature id for the '<em><b>Synchronized</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ADDRESSING_TYPE__SYNCHRONIZED = COBOL_SIMPLE_TYPE__SYNCHRONIZED;

	/**
	 * The number of structural features of the the '<em>Addressing Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ADDRESSING_TYPE_FEATURE_COUNT = COBOL_SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.impl.COBOLElementInitialValueImpl <em>Element Initial Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.impl.COBOLElementInitialValueImpl
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLElementInitialValue()
	 * @generated
	 */
	int COBOL_ELEMENT_INITIAL_VALUE = 22;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT_INITIAL_VALUE__NAME = TDLangPackage.TD_LANG_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Td Lang Shared Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT_INITIAL_VALUE__TD_LANG_SHARED_TYPE = TDLangPackage.TD_LANG_ELEMENT__TD_LANG_SHARED_TYPE;

	/**
	 * The feature id for the '<em><b>Instance TD Base</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT_INITIAL_VALUE__INSTANCE_TD_BASE = TDLangPackage.TD_LANG_ELEMENT__INSTANCE_TD_BASE;

	/**
	 * The feature id for the '<em><b>Init Val</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT_INITIAL_VALUE__INIT_VAL = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Value Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT_INITIAL_VALUE__VALUE_KIND = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the the '<em>Element Initial Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COBOL_ELEMENT_INITIAL_VALUE_FEATURE_COUNT = TDLangPackage.TD_LANG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.COBOLUsageValues <em>Usage Values</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.COBOLUsageValues
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLUsageValues()
	 * @generated
	 */
	int COBOL_USAGE_VALUES = 23;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.COBOLInitialValueKind <em>Initial Value Kind</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.COBOLInitialValueKind
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLInitialValueKind()
	 * @generated
	 */
	int COBOL_INITIAL_VALUE_KIND = 24;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.COBOLTruncValue <em>Trunc Value</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.COBOLTruncValue
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLTruncValue()
	 * @generated
	 */
	int COBOL_TRUNC_VALUE = 25;

	/**
	 * The meta object id for the '{@link com.ibm.etools.cobol.COBOLNumprocValue <em>Numproc Value</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.etools.cobol.COBOLNumprocValue
	 * @see com.ibm.etools.cobol.impl.COBOLPackageImpl#getCOBOLNumprocValue()
	 * @generated
	 */
	int COBOL_NUMPROC_VALUE = 26;


	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLSimpleType <em>Simple Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Simple Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLSimpleType
	 * @generated
	 */
	EClass getCOBOLSimpleType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLSimpleType#getUsage <em>Usage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Usage</em>'.
	 * @see com.ibm.etools.cobol.COBOLSimpleType#getUsage()
	 * @see #getCOBOLSimpleType()
	 * @generated
	 */
	EAttribute getCOBOLSimpleType_Usage();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLSimpleType#getPictureString <em>Picture String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Picture String</em>'.
	 * @see com.ibm.etools.cobol.COBOLSimpleType#getPictureString()
	 * @see #getCOBOLSimpleType()
	 * @generated
	 */
	EAttribute getCOBOLSimpleType_PictureString();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLSimpleType#getSynchronized <em>Synchronized</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Synchronized</em>'.
	 * @see com.ibm.etools.cobol.COBOLSimpleType#getSynchronized()
	 * @see #getCOBOLSimpleType()
	 * @generated
	 */
	EAttribute getCOBOLSimpleType_Synchronized();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Element</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement
	 * @generated
	 */
	EClass getCOBOLElement();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLElement#getLevel <em>Level</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Level</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getLevel()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EAttribute getCOBOLElement_Level();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLElement#getRedefined <em>Redefined</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Redefined</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getRedefined()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EAttribute getCOBOLElement_Redefined();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLElement#getIsFiller <em>Is Filler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Filler</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getIsFiller()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EAttribute getCOBOLElement_IsFiller();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLElement#getIsExternal <em>Is External</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is External</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getIsExternal()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EAttribute getCOBOLElement_IsExternal();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLElement#getIsGlobal <em>Is Global</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Global</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getIsGlobal()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EAttribute getCOBOLElement_IsGlobal();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.etools.cobol.COBOLElement#getContains <em>Contains</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Contains</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getContains()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EReference getCOBOLElement_Contains();

	/**
	 * Returns the meta object for the reference '{@link com.ibm.etools.cobol.COBOLElement#getSharedType <em>Shared Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Shared Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getSharedType()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EReference getCOBOLElement_SharedType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.etools.cobol.COBOLElement#getArray <em>Array</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Array</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getArray()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EReference getCOBOLElement_Array();

	/**
	 * Returns the meta object for the container reference '{@link com.ibm.etools.cobol.COBOLElement#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Group</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getGroup()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EReference getCOBOLElement_Group();

	/**
	 * Returns the meta object for the reference '{@link com.ibm.etools.cobol.COBOLElement#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getSource()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EReference getCOBOLElement_Source();

	/**
	 * Returns the meta object for the reference list '{@link com.ibm.etools.cobol.COBOLElement#getInitial <em>Initial</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Initial</em>'.
	 * @see com.ibm.etools.cobol.COBOLElement#getInitial()
	 * @see #getCOBOLElement()
	 * @generated
	 */
	EReference getCOBOLElement_Initial();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLVariableLengthArray <em>Variable Length Array</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Variable Length Array</em>'.
	 * @see com.ibm.etools.cobol.COBOLVariableLengthArray
	 * @generated
	 */
	EClass getCOBOLVariableLengthArray();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLVariableLengthArray#getMinUpper <em>Min Upper</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Min Upper</em>'.
	 * @see com.ibm.etools.cobol.COBOLVariableLengthArray#getMinUpper()
	 * @see #getCOBOLVariableLengthArray()
	 * @generated
	 */
	EAttribute getCOBOLVariableLengthArray_MinUpper();

	/**
	 * Returns the meta object for the reference '{@link com.ibm.etools.cobol.COBOLVariableLengthArray#getDependingOn <em>Depending On</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Depending On</em>'.
	 * @see com.ibm.etools.cobol.COBOLVariableLengthArray#getDependingOn()
	 * @see #getCOBOLVariableLengthArray()
	 * @generated
	 */
	EReference getCOBOLVariableLengthArray_DependingOn();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLRedefiningElement <em>Redefining Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Redefining Element</em>'.
	 * @see com.ibm.etools.cobol.COBOLRedefiningElement
	 * @generated
	 */
	EClass getCOBOLRedefiningElement();

	/**
	 * Returns the meta object for the reference '{@link com.ibm.etools.cobol.COBOLRedefiningElement#getRedefines <em>Redefines</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Redefines</em>'.
	 * @see com.ibm.etools.cobol.COBOLRedefiningElement#getRedefines()
	 * @see #getCOBOLRedefiningElement()
	 * @generated
	 */
	EReference getCOBOLRedefiningElement_Redefines();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLComposedType <em>Composed Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Composed Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLComposedType
	 * @generated
	 */
	EClass getCOBOLComposedType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.etools.cobol.COBOLComposedType#getElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Element</em>'.
	 * @see com.ibm.etools.cobol.COBOLComposedType#getElement()
	 * @see #getCOBOLComposedType()
	 * @generated
	 */
	EReference getCOBOLComposedType_Element();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOL88Element <em>88 Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>88 Element</em>'.
	 * @see com.ibm.etools.cobol.COBOL88Element
	 * @generated
	 */
	EClass getCOBOL88Element();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOL88Element#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.ibm.etools.cobol.COBOL88Element#getName()
	 * @see #getCOBOL88Element()
	 * @generated
	 */
	EAttribute getCOBOL88Element_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.etools.cobol.COBOL88Element#getHas <em>Has</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Has</em>'.
	 * @see com.ibm.etools.cobol.COBOL88Element#getHas()
	 * @see #getCOBOL88Element()
	 * @generated
	 */
	EReference getCOBOL88Element_Has();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOL88ElementValue <em>88 Element Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>88 Element Value</em>'.
	 * @see com.ibm.etools.cobol.COBOL88ElementValue
	 * @generated
	 */
	EClass getCOBOL88ElementValue();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOL88ElementValue#getLowerLimit <em>Lower Limit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lower Limit</em>'.
	 * @see com.ibm.etools.cobol.COBOL88ElementValue#getLowerLimit()
	 * @see #getCOBOL88ElementValue()
	 * @generated
	 */
	EAttribute getCOBOL88ElementValue_LowerLimit();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOL88ElementValue#getUpperLimit <em>Upper Limit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Upper Limit</em>'.
	 * @see com.ibm.etools.cobol.COBOL88ElementValue#getUpperLimit()
	 * @see #getCOBOL88ElementValue()
	 * @generated
	 */
	EAttribute getCOBOL88ElementValue_UpperLimit();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOL88ElementValue#getRange <em>Range</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Range</em>'.
	 * @see com.ibm.etools.cobol.COBOL88ElementValue#getRange()
	 * @see #getCOBOL88ElementValue()
	 * @generated
	 */
	EAttribute getCOBOL88ElementValue_Range();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOL88ElementValue#getLowerValueKind <em>Lower Value Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lower Value Kind</em>'.
	 * @see com.ibm.etools.cobol.COBOL88ElementValue#getLowerValueKind()
	 * @see #getCOBOL88ElementValue()
	 * @generated
	 */
	EAttribute getCOBOL88ElementValue_LowerValueKind();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOL88ElementValue#getUpperValueKind <em>Upper Value Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Upper Value Kind</em>'.
	 * @see com.ibm.etools.cobol.COBOL88ElementValue#getUpperValueKind()
	 * @see #getCOBOL88ElementValue()
	 * @generated
	 */
	EAttribute getCOBOL88ElementValue_UpperValueKind();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLAlphaNumericType <em>Alpha Numeric Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Alpha Numeric Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLAlphaNumericType
	 * @generated
	 */
	EClass getCOBOLAlphaNumericType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLAlphaNumericType#getJustifyRight <em>Justify Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Justify Right</em>'.
	 * @see com.ibm.etools.cobol.COBOLAlphaNumericType#getJustifyRight()
	 * @see #getCOBOLAlphaNumericType()
	 * @generated
	 */
	EAttribute getCOBOLAlphaNumericType_JustifyRight();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLNumericEditedType <em>Numeric Edited Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Numeric Edited Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericEditedType
	 * @generated
	 */
	EClass getCOBOLNumericEditedType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericEditedType#getBlankWhenZero <em>Blank When Zero</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Blank When Zero</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericEditedType#getBlankWhenZero()
	 * @see #getCOBOLNumericEditedType()
	 * @generated
	 */
	EAttribute getCOBOLNumericEditedType_BlankWhenZero();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericEditedType#getCurrencySymbol <em>Currency Symbol</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Currency Symbol</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericEditedType#getCurrencySymbol()
	 * @see #getCOBOLNumericEditedType()
	 * @generated
	 */
	EAttribute getCOBOLNumericEditedType_CurrencySymbol();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericEditedType#getCurrencySign <em>Currency Sign</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Currency Sign</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericEditedType#getCurrencySign()
	 * @see #getCOBOLNumericEditedType()
	 * @generated
	 */
	EAttribute getCOBOLNumericEditedType_CurrencySign();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericEditedType#getDecimal <em>Decimal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Decimal</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericEditedType#getDecimal()
	 * @see #getCOBOLNumericEditedType()
	 * @generated
	 */
	EAttribute getCOBOLNumericEditedType_Decimal();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLNumericType <em>Numeric Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Numeric Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericType
	 * @generated
	 */
	EClass getCOBOLNumericType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericType#getSigned <em>Signed</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Signed</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericType#getSigned()
	 * @see #getCOBOLNumericType()
	 * @generated
	 */
	EAttribute getCOBOLNumericType_Signed();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericType#getSignLeading <em>Sign Leading</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sign Leading</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericType#getSignLeading()
	 * @see #getCOBOLNumericType()
	 * @generated
	 */
	EAttribute getCOBOLNumericType_SignLeading();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericType#getSignSeparate <em>Sign Separate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sign Separate</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericType#getSignSeparate()
	 * @see #getCOBOLNumericType()
	 * @generated
	 */
	EAttribute getCOBOLNumericType_SignSeparate();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericType#getTrunc <em>Trunc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Trunc</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericType#getTrunc()
	 * @see #getCOBOLNumericType()
	 * @generated
	 */
	EAttribute getCOBOLNumericType_Trunc();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericType#getNumproc <em>Numproc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Numproc</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericType#getNumproc()
	 * @see #getCOBOLNumericType()
	 * @generated
	 */
	EAttribute getCOBOLNumericType_Numproc();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericType#getPrecision <em>Precision</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Precision</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericType#getPrecision()
	 * @see #getCOBOLNumericType()
	 * @generated
	 */
	EAttribute getCOBOLNumericType_Precision();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLNumericType#getScale <em>Scale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Scale</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumericType#getScale()
	 * @see #getCOBOLNumericType()
	 * @generated
	 */
	EAttribute getCOBOLNumericType_Scale();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOL66Element <em>66 Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>66 Element</em>'.
	 * @see com.ibm.etools.cobol.COBOL66Element
	 * @generated
	 */
	EClass getCOBOL66Element();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOL66Element#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see com.ibm.etools.cobol.COBOL66Element#getName()
	 * @see #getCOBOL66Element()
	 * @generated
	 */
	EAttribute getCOBOL66Element_Name();

	/**
	 * Returns the meta object for the reference '{@link com.ibm.etools.cobol.COBOL66Element#getStart <em>Start</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Start</em>'.
	 * @see com.ibm.etools.cobol.COBOL66Element#getStart()
	 * @see #getCOBOL66Element()
	 * @generated
	 */
	EReference getCOBOL66Element_Start();

	/**
	 * Returns the meta object for the reference '{@link com.ibm.etools.cobol.COBOL66Element#getEndOf <em>End Of</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>End Of</em>'.
	 * @see com.ibm.etools.cobol.COBOL66Element#getEndOf()
	 * @see #getCOBOL66Element()
	 * @generated
	 */
	EReference getCOBOL66Element_EndOf();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLFixedLengthArray <em>Fixed Length Array</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fixed Length Array</em>'.
	 * @see com.ibm.etools.cobol.COBOLFixedLengthArray
	 * @generated
	 */
	EClass getCOBOLFixedLengthArray();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLFixedLengthArray#getMaxUpper <em>Max Upper</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Upper</em>'.
	 * @see com.ibm.etools.cobol.COBOLFixedLengthArray#getMaxUpper()
	 * @see #getCOBOLFixedLengthArray()
	 * @generated
	 */
	EAttribute getCOBOLFixedLengthArray_MaxUpper();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLDBCSType <em>DBCS Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DBCS Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLDBCSType
	 * @generated
	 */
	EClass getCOBOLDBCSType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLDBCSType#getJustifyRight <em>Justify Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Justify Right</em>'.
	 * @see com.ibm.etools.cobol.COBOLDBCSType#getJustifyRight()
	 * @see #getCOBOLDBCSType()
	 * @generated
	 */
	EAttribute getCOBOLDBCSType_JustifyRight();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLAlphaNumericEditedType <em>Alpha Numeric Edited Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Alpha Numeric Edited Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLAlphaNumericEditedType
	 * @generated
	 */
	EClass getCOBOLAlphaNumericEditedType();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLClassifier <em>Classifier</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Classifier</em>'.
	 * @see com.ibm.etools.cobol.COBOLClassifier
	 * @generated
	 */
	EClass getCOBOLClassifier();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLClassifier#getTypedef <em>Typedef</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Typedef</em>'.
	 * @see com.ibm.etools.cobol.COBOLClassifier#getTypedef()
	 * @see #getCOBOLClassifier()
	 * @generated
	 */
	EAttribute getCOBOLClassifier_Typedef();

	/**
	 * Returns the meta object for the reference list '{@link com.ibm.etools.cobol.COBOLClassifier#getTypedElement <em>Typed Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Typed Element</em>'.
	 * @see com.ibm.etools.cobol.COBOLClassifier#getTypedElement()
	 * @see #getCOBOLClassifier()
	 * @generated
	 */
	EReference getCOBOLClassifier_TypedElement();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLAlphabeticType <em>Alphabetic Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Alphabetic Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLAlphabeticType
	 * @generated
	 */
	EClass getCOBOLAlphabeticType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLAlphabeticType#getJustifyRight <em>Justify Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Justify Right</em>'.
	 * @see com.ibm.etools.cobol.COBOLAlphabeticType#getJustifyRight()
	 * @see #getCOBOLAlphabeticType()
	 * @generated
	 */
	EAttribute getCOBOLAlphabeticType_JustifyRight();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLObjectReferenceType <em>Object Reference Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Object Reference Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLObjectReferenceType
	 * @generated
	 */
	EClass getCOBOLObjectReferenceType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLObjectReferenceType#getClassName <em>Class Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class Name</em>'.
	 * @see com.ibm.etools.cobol.COBOLObjectReferenceType#getClassName()
	 * @see #getCOBOLObjectReferenceType()
	 * @generated
	 */
	EAttribute getCOBOLObjectReferenceType_ClassName();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLSourceText <em>Source Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Source Text</em>'.
	 * @see com.ibm.etools.cobol.COBOLSourceText
	 * @generated
	 */
	EClass getCOBOLSourceText();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLSourceText#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Source</em>'.
	 * @see com.ibm.etools.cobol.COBOLSourceText#getSource()
	 * @see #getCOBOLSourceText()
	 * @generated
	 */
	EAttribute getCOBOLSourceText_Source();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLSourceText#getFileName <em>File Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>File Name</em>'.
	 * @see com.ibm.etools.cobol.COBOLSourceText#getFileName()
	 * @see #getCOBOLSourceText()
	 * @generated
	 */
	EAttribute getCOBOLSourceText_FileName();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLUnicodeType <em>Unicode Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Unicode Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLUnicodeType
	 * @generated
	 */
	EClass getCOBOLUnicodeType();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLInternalFloatType <em>Internal Float Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Internal Float Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLInternalFloatType
	 * @generated
	 */
	EClass getCOBOLInternalFloatType();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLExternalFloatType <em>External Float Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>External Float Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLExternalFloatType
	 * @generated
	 */
	EClass getCOBOLExternalFloatType();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLAddressingType <em>Addressing Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Addressing Type</em>'.
	 * @see com.ibm.etools.cobol.COBOLAddressingType
	 * @generated
	 */
	EClass getCOBOLAddressingType();

	/**
	 * Returns the meta object for class '{@link com.ibm.etools.cobol.COBOLElementInitialValue <em>Element Initial Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Element Initial Value</em>'.
	 * @see com.ibm.etools.cobol.COBOLElementInitialValue
	 * @generated
	 */
	EClass getCOBOLElementInitialValue();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLElementInitialValue#getInitVal <em>Init Val</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Init Val</em>'.
	 * @see com.ibm.etools.cobol.COBOLElementInitialValue#getInitVal()
	 * @see #getCOBOLElementInitialValue()
	 * @generated
	 */
	EAttribute getCOBOLElementInitialValue_InitVal();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.etools.cobol.COBOLElementInitialValue#getValueKind <em>Value Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value Kind</em>'.
	 * @see com.ibm.etools.cobol.COBOLElementInitialValue#getValueKind()
	 * @see #getCOBOLElementInitialValue()
	 * @generated
	 */
	EAttribute getCOBOLElementInitialValue_ValueKind();

	/**
	 * Returns the meta object for enum '{@link com.ibm.etools.cobol.COBOLUsageValues <em>Usage Values</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Usage Values</em>'.
	 * @see com.ibm.etools.cobol.COBOLUsageValues
	 * @generated
	 */
	EEnum getCOBOLUsageValues();

	/**
	 * Returns the meta object for enum '{@link com.ibm.etools.cobol.COBOLInitialValueKind <em>Initial Value Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Initial Value Kind</em>'.
	 * @see com.ibm.etools.cobol.COBOLInitialValueKind
	 * @generated
	 */
	EEnum getCOBOLInitialValueKind();

	/**
	 * Returns the meta object for enum '{@link com.ibm.etools.cobol.COBOLTruncValue <em>Trunc Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Trunc Value</em>'.
	 * @see com.ibm.etools.cobol.COBOLTruncValue
	 * @generated
	 */
	EEnum getCOBOLTruncValue();

	/**
	 * Returns the meta object for enum '{@link com.ibm.etools.cobol.COBOLNumprocValue <em>Numproc Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Numproc Value</em>'.
	 * @see com.ibm.etools.cobol.COBOLNumprocValue
	 * @generated
	 */
	EEnum getCOBOLNumprocValue();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	COBOLFactory getCOBOLFactory();

} //COBOLPackage
